> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/sdn/common/describebordergatewaydatacenters.md).

# DescribeBorderGatewayDatacenters

## 1. API Description

This API is used to query data centers supporting Border Gateway service.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

<table><thead><tr><th width="179.8096923828125">Parameter Name</th><th width="115.25748627761314">Required</th><th width="114">Type</th><th>Description</th></tr></thead><tbody><tr><td>dcId</td><td>No</td><td>String</td><td>Data center ID.</td></tr><tr><td>regionId</td><td>No</td><td>String</td><td>Region ID.</td></tr></tbody></table>

## 3. Output Parameters

<table><thead><tr><th width="169.11083984375">Paremeter Name</th><th width="204.37286376953125">Type</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>The unique request ID, which is returned for each request. RequestId is required for locating a problem.</td></tr><tr><td>dcSet</td><td>Array of <a href="/pages/QGlc5uBFvAM7iixepjmI#datacenterinfo">DatacenterInfo</a></td><td>The list of data centers available.</td></tr></tbody></table>

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query data centers supporting Border Gateway service.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeBorderGatewayDatacenters
<Common Request Params>

Request: 
{
}

Response: 
{
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "response": {
        "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
        "dcSet": [
            {
                "dcId": "822b9bd9-44f0-4279-a64d-568f5bc4a77b",
                "cityName": "Amsterdam",
                "areaName": "Europe",
                "regionId": "asia-east-1",
                "dcName": "Equinix AM3",
                "latitude": 52.35501600,
                "dcAddress": "Science Park 610, 1098 XH Amsterdam, Netherlands",
                "countryName": "Netherlands",
                "longitude": 4.96093800
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

No error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).​


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/networking/sdn/common/describebordergatewaydatacenters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
